MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029928Open CASCADE[OCCT] OCCT:Documentationpublic2018-07-04 12:232018-07-08 12:00
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029928: Regressions: a lot of warnings produced during generation Overview by Doxygen
DescriptionWarnings are the same both : Linux and Windows platforms on processing upgrade.md
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077260)
bugmaster (administrator)
2018-07-04 12:26

Contents of warnings:
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'HasOpenedContext()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'HighestIndex()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'LocalContext()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'LocalSelector()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'OpenLocalContext()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1624:\warning: explicit link request to 'CloseLocalContext()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'IndexOfCurrentLocal()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'CloseAllContexts()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'ResetOriginalState()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'ClearLocalContext()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'UseDisplayedObjects()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1625:\warning: explicit link request to 'NotUseDisplayedObjects()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1626:\warning: explicit link request to 'SetShapeDecomposition()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1626:\warning: explicit link request to 'SetTemporaryAttributes()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1626:\warning: explicit link request to 'ActivateStandardMode()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1626:\warning: explicit link request to 'DeactivateStandardMode()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1626:\warning: explicit link request to 'KeepTemporary()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1627:\warning: explicit link request to 'SubIntensityOn()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1627:\warning: explicit link request to 'SubIntensityOff()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1627:\warning: explicit link request to 'ActivatedStandardModes()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1627:\warning: explicit link request to 'IsInLocal()' could not be resolved\
\\/dn61/builds/IR-WEEK37/OCCT_SRC/dox/dev_guides/upgrade/upgrade.md:\1627:\warning: explicit link request to 'AddOrRemoveSelected()' could not be resolved\
(0077262)
git (administrator)
2018-07-04 13:18

Branch CR29928 has been created by apn.

SHA-1: 2f8a70dfaa13ef6a9b004f026d32acc529f4284f


Detailed log of new commits:

Author: apn
Date: Wed Jul 4 13:17:51 2018 +0300

    0029928: Regressions: a lot of warnings produced during generation Overview by Doxygen
    
    Warnings in upgrade.md were eliminated.
(0077263)
apn (administrator)
2018-07-04 13:40

Dear bugmaster, could you please review CR29928.
Compilation in jenkins:
http://jenkins-test-11.nnov.opencascade.com/view/CR29928-master-APN/view/OCCT%20compile/ [^]
(0077353)
git (administrator)
2018-07-08 12:00

Branch CR29928 has been deleted by inv.

SHA-1: 2f8a70dfaa13ef6a9b004f026d32acc529f4284f

- Related Changesets
occt: master 73b07edd
Timestamp: 2018-07-04 10:17:51
Author: apn
Committer: bugmaster
Details ] Diff ]
0029928: Regressions: a lot of warnings produced during generation Overview by Doxygen

Warnings in upgrade.md have been eliminated.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-04 12:23 bugmaster New Issue
2018-07-04 12:23 bugmaster Assigned To => ysn
2018-07-04 12:26 bugmaster Note Added: 0077260
2018-07-04 12:26 bugmaster Assigned To ysn => apn
2018-07-04 12:26 bugmaster Status new => assigned
2018-07-04 12:26 bugmaster Description Updated View Revisions
2018-07-04 13:18 git Note Added: 0077262
2018-07-04 13:40 apn Test case number => Not needed
2018-07-04 13:40 apn Note Added: 0077263
2018-07-04 13:40 apn Assigned To apn => bugmaster
2018-07-04 13:40 apn Status assigned => resolved
2018-07-04 23:23 bugmaster Status resolved => reviewed
2018-07-05 09:59 abv Relationship added child of 0028882
2018-07-05 14:05 bugmaster Status reviewed => tested
2018-07-08 11:37 bugmaster Changeset attached => occt master 73b07edd
2018-07-08 11:37 bugmaster Status tested => verified
2018-07-08 11:37 bugmaster Resolution open => fixed
2018-07-08 12:00 git Note Added: 0077353


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker